Subject: bug#41409: closed (Re: bug#39260: bug#41409: “guix pull” should show a progress bar for channel updates)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Oct 2020 22:53:02 +0000

Your bug report

#39260: “guix pull” should show a progress bar for channel updates

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39260: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39260
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39260: bug#41409: “guix pull” should show a progress bar for channel updates
From: Ludovic Courtès <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 26 Oct 2020 23:52:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

> And now the Guix side of it:
>
>   https://issues.guix.gnu.org/43968

Merged in 298f9d29d6c26e408a90d08d147d926aa6f81ab3, closing!

Ludo’.

Subject: “guix pull” should show a progress bar for channel updates
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Tue, 19 May 2020 23:30:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When I run “guix pull” (or “guix time-machine”) I see this message

   Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...

followed by disconcerting silence.  I can’t tell if it’s doing
something, nor can I see what the progress is.

Would be nice to have a progress bar or at least a spinner.

-- 
Ricardo